#include <bits/stdc++.h>
using namespace std;

int main(){
    int n, k, pozK;
    cin>>n>>k;
    int arr[n];
    for(int i=0; i<n; i++){
        cin>>arr[i];
        if(arr[i]==k)
            pozK=i;
    }
    if(pozK==n-1)
        cout<<arr[0];
    else
        cout<<arr[pozK+1];
    return 0;
}